Skip to main content
GET
Get Knowledge Base resource

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Ok

Discriminated union over type of all resource kinds in the Trust Knowledge Base (currently FILE and URL).

id
string
required
type
enum<string>
required
Available options:
FILE
title
string
required
description
string | null
required
fileUrl
string
required

Presigned S3 URL for the underlying document. Expires after 1 hour due to AWS IAM Role limitations on presigned URL lifetimes. Re-fetch the resource to obtain a fresh URL once this one expires.

customerVisibility
enum<string> | null
required
Available options:
PRIVATE,
SHAREABLE,
REQUEST_ACCESS,
PUBLIC,
null
downloadPermission
enum<string> | null
required
Available options:
VIEW_ONLY,
VIEW_AND_DOWNLOAD,
null
isUsedInQuestionnaires
boolean | null
required
ownerAssignment
object | null
required
expirationStatus
enum<string>
required

Customer-facing expiration status used by knowledge-base API responses (answer library entries and resources). Derived from the persisted expiresAt field at read time.

Available options:
CURRENT,
EXPIRED
expirationDate
string | null
required
lastUpdated
string
required
lastVerified
string | null
required
tags
object[]
required
categoryId
string | null
required

Trust Center category id the resource is currently filed under, or null if uncategorized (or not on the Trust Center, which is the case for PRIVATE / SHAREABLE resources).